/* MAIN OBJECTS */
nav {
    background-color: red;
    padding: 10px 10px 0 10px;
}

nav a {
    color: white;
    display: inline-block;
    text-decoration: none;
    line-height: 40px;
    border: 1px solid white;
    padding: 0px 10px;
    margin: 0 10px 10px 0;
}

nav a:hover {
    background-color: white;
    color: red;
}

nav .blue {
    background-color: DodgerBlue;
}

nav .blue:hover {
    color: DodgerBlue;
}

#youtube-logo {
    display: inline-block;
    height: 25px;
    width: 25px;
    background-image: url(images/youtube-white.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    margin: 0 8px -6px 0;
}

a:hover #youtube-logo {
    background-image: url(images/youtube-red.png);
}

#goToTop {
    display: none;
    position: fixed;
    top: 0px;
    left: 0px;
    width: 100%;
    z-index: 99;
    border-width: 0 0 1px 0;
    background-color: red;
    color: white;
    transform: translate3d(0px,0px,0px);
}

#goToTop:hover {
    background-color: white;
    color: red;
    border-color: red;
}

#premenu {
    color: white;
}

select {
    margin: 0px 10px 10px 10px;
    width: 300px;
    padding: 10px;
    font-size: 16px;
}

/* FOOTER */
footer {
    width: 100%;
    background-color: red;
    color: white;
    padding: 20px 0;
}




/* MAIN OBJECTS */

body {
    margin: 0px;
    font-family: "Arial", sans-serif;
    font-size: 18px;
    text-align: center;
    -webkit-font-smoothing: subpixel-antialiased;
}

div {
    box-sizing: border-box;
}

.text-left {
    text-align: left;
}

.maxWidth {
    max-width: 700px;
    margin: auto;
}


/* MAIN OBJECTS */
#rrlLogo {
    height: 220px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;    
     background-image: url(images/bg.jpg);
    background-size: cover;
    background-position: center;
}

#rrlLogo img {
    width: 200px;
    height: 200px;
    margin-left: auto;
    margin-right: auto;    
    margin-top: 10px;
}

.mainContainer {
    display: none;
}

/* Submenu links */

.subMenu {
    background-color: #EFEFF4;
    border: 1px solid #C8C7CC;
    padding: 10px 0px 0px 10px;
    margin: 0px 10px 10px 10px;
    display: block;
}

.subMenu a { 
    color: red;
    background-color: white;
    display: inline-block;
    text-decoration: none;
    line-height: 40px;
    border: 1px solid red;
    padding: 0px 10px;
    margin: 0 10px 10px 0;
}

.mainContainer a:hover {
    background-color: red;
    color: white;
}

.mainContainer a.active {
    background-color: red;
    color: white;
}

.section {
    border: 1px solid #A7A7AA;
    padding: 10px;
    margin: 0 10px 100px 10px;
}

.section .subMenu {
    margin: 0px 0px 10px 0px;
}

.subSection {
    background-color: #EFEFF4;
    border: 1px solid #C8C7CC;
    padding: 10px;
    margin-top: 10px;
}


.icon {
    height: 100px;
    width: 100px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;     
    margin: auto;
}

#iconLeague {
    background-image: url(images/random-league-black.png);
}

#iconLeagueWhite {
    background-image: url(images/random-league-white.png);
}

#iconBoot {
    background-image: url(images/random-boot.png);
}

#iconGlove {
    background-image: url(images/random-glove.png);
}

#iconMan {
    background-image: url(images/man-of-the-match.png);
}

#iconGoal {
    background-image: url(images/goal-of-the-week.png);
}



/* GAMES */

.gameID {
    display: block;
    float: right;
    color: #6D6D72;
}

.gameWhite {
    display: inline-block;
    width: 50%;
    padding: 10px;
    background-color: white;
    border-color: #C8C7CC;
      border-style: solid;
      border-width: 1px 0 1px 1px;
}

.gameRed {
    display: inline-block;
    width: 50%;
    padding: 10px;
    background-color: red;
    color: white;
    border-color: #B11116;
      border-style: solid;
      border-width: 1px 1px 1px 0;
}

.gameScore {
    font-size: 100px;
}

.mvp {
    display: inline-block;
    vertical-align: top;
    width: 50%;
    padding: 10px;
    margin-top: 20px;
}

.gotw {
    display: inline-block;
    vertical-align: top;
    width: 50%;
    padding: 10px;
    margin-top: 20px;
    border-left: 1px solid #C8C7CC;
}






/* TABLES */
table {
    border-collapse: collapse;
    width: 100%;
    border-bottom: 1px solid #C8C7CC;
}
th, td  {
    padding: 5px;
}
th {
    color: #6D6D72;
    background-color: #EFEFF4;
    border-top: 1px solid #A7A7AA;
    font-size: 14px;
}
td {
    border-top: 1px solid #C8C7CC;
}
th:first-child, td:first-child {
    width: 1%;
}

#randomLeaguePrem td:nth-child(3),
#randomLeagueChamp td:nth-child(3),
#randomBoot td:nth-child(3),
#randomGlovePrem td:nth-child(3),
#randomGloveChamp td:nth-child(3),
.matrix th:first-child,
.matrix td:first-child,
.summary td:nth-child(2),
#allTimeRandomLeague td:nth-child(2)  {
    text-align: left;
}

/* Only show championships if there are players in them */
.championship {
    display: none;
}
.championship.active {
    display: block;
}

#seasonContainer {
    width: 100%;
    max-width: 1500px;
    margin: 0px auto 50px auto;
    position:absolute;
    left: 0;
    right: 0;
    overflow-x:scroll;
}

#seasonSpacer {
    height: 1000px;
}

#weeklyContainer {
    width: 100%;
    max-width: 700px;
    margin: 0px auto 50px auto;
    position:absolute;
    left: 0;
    right: 0;
    overflow-x:scroll;
}

#weeklySpacer {
    height: 550px;
}

.matrix {
    display: none;
    table-layout: fixed;
    font-size: 14px;

}

.matrix th, .matrix td {
    border-left: 1px solid #C8C7CC;
    border-right: 1px solid #C8C7CC;
}

.season tr:nth-child(2) th {
    height: 55px;
    vertical-align: top;
}

.season tr:nth-child(2) th:first-child {
    vertical-align: middle;
}

.rotate {
  /* FF3.5+ */
  -moz-transform: rotate(90.0deg);
  /* Opera 10.5 */
  -o-transform: rotate(90.0deg);
  /* Saf3.1+, Chrome */
  -webkit-transform: rotate(90.0deg);
  /* IE6,IE7 */
  filter: progid: DXImageTransform.Microsoft.BasicImage(rotation=0.083);
  /* IE8 */
  -ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=0.083)";
  /* Standard */
  transform: rotate(90.0deg);
  overflow: visible;
  width: 10px;
  height: 20px;
  display: block;
}

.matrix td {
    background-color: #EFEFF4;
}

.matrix tr td:first-child {
    background-color: white !important;
}

.tableMovement {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    background-color: white !important;
    color: white;
    font-size: 12px;
    padding-left: 10px;
    padding-right: 10px;
}

.tableUp {
    background-image: url(images/up.png);
    padding-top: 7px;
    padding-bottom: 3px; 

}

.tableDown {
    background-image: url(images/down.png);
    padding-top: 3px;
    padding-bottom: 7px; 
}

.tableNoMove {
    background-image: url(images/no-move.png);
}

.tableNew {
    background-image: url(images/new.png);
}

.tablePromotion {
    background-image: url(images/promotion.png);
    padding-top: 7px;
    padding-bottom: 3px; 
}

.tableRelegation {
    background-image: url(images/relegation.png);
    padding-top: 3px;
    padding-bottom: 7px; 
}

.tableWhite {
    background-color: white !important;
    color: black;
}

.tableRed {
    background-color: red !important;
    color: white;
}

.tableDarkRed {
    background-color: darkred !important;
    color: white;
}

.tableBlue {
    background-color: blue !important;
    color: white;
}

.tableGreen {
    background-color: limegreen !important;
    color: white;
}

.tableLightGreen {
    background-color: lightgreen !important;
}

.tableDarkGreen {
    background-color: green !important;
    color: white;
}
















#weekNumber {
    display: inline-block;
    width: 80px;
    border: none;
    background-color: transparent;
    color: red;
    line-height: 40px;
    padding: 0px;
    margin: 0 10px 10px 0;
    vertical-align: top;
    font-family: "Arial", sans-serif;
    font-size: 18px;
    text-align: center;

}

button.collapse {
    cursor: pointer;
    width: 100%;
    font-size: 18px;
    font-weight: bold;
    background-color: #EFEFF4;
    border: 1px solid #C8C7CC;
    padding: 10px;
    margin-top: 10px;
}

button.collapse.active,
button.collapse:hover {
    background-color: #C8C7CC;
    border: 1px solid #A7A7AA;
    color: black;
}

div.panel {
    display: none;
}


#hallOfFameTableContainer {
    width: 100%;
    max-width: 1100px;
    margin: 0px auto 50px auto;
    overflow-x:scroll;
}

#hallOfFame {
    font-size: 14px;
}


#hallOfFame tr th:nth-child(5),
#hallOfFame tr td:nth-child(5),
#hallOfFame tr th:nth-child(8),
#hallOfFame tr td:nth-child(8),
#hallOfFame tr th:nth-child(11),
#hallOfFame tr td:nth-child(11) {
    text-align: left;
}

#hallOfFame tr td:nth-child(5),
#hallOfFame tr td:nth-child(6),
#hallOfFame tr td:nth-child(7) {
    background-color: gold !important;
    color: black;
    border-bottom: 1px solid black;
}

#hallOfFame tr td:nth-child(8),
#hallOfFame tr td:nth-child(9),
#hallOfFame tr td:nth-child(10) {
    background-color: silver !important;
    color: black;
    border-bottom: 1px solid black;
}

#hallOfFame tr td:nth-child(11),
#hallOfFame tr td:nth-child(12),
#hallOfFame tr td:nth-child(13) {
    background-color: chocolate   !important;
    color: black;
    border-bottom: 1px solid black;
}


#allTimeRandomLeagueContainer {
    width: 100%;
    max-width: 700px;
    margin: 0px auto 50px auto;
    padding: 0px 10px 0px 10px;
}






/* ACTIVATOR */
.active {
    display: block;
}




/* PHONE MODE */
@media screen and (max-width: 600px) {
    .gameWhite {
        width: 100%;
          border-width: 1px 1px 0 1px;
          margin-bottom: 0;
      }
      
      .gameRed {
        width: 100%;
          border-width: 0 1px 1px 1px;
      }
      
      .mvp {
        width: 100%;
        padding: 10px;
        margin-top: 20px;
    }

    .gotw {
        width: 100%;
        border-left: none;
        border-top: 1px solid #C8C7CC;
    }

    #randomLeaguePrem th:nth-child(5),
    #randomLeaguePrem th:nth-child(6),
    #randomLeaguePrem th:nth-child(7),
    #randomLeaguePrem th:nth-child(8),
    #randomLeaguePrem th:nth-child(9),
    #randomLeaguePrem th:nth-child(10),
    #randomLeaguePrem td:nth-child(5),
    #randomLeaguePrem td:nth-child(6),
    #randomLeaguePrem td:nth-child(7),
    #randomLeaguePrem td:nth-child(8),
    #randomLeaguePrem td:nth-child(9),
    #randomLeaguePrem td:nth-child(10),
    #randomLeagueChamp th:nth-child(5),
    #randomLeagueChamp th:nth-child(6),
    #randomLeagueChamp th:nth-child(7),
    #randomLeagueChamp th:nth-child(8),
    #randomLeagueChamp th:nth-child(9),
    #randomLeagueChamp td:nth-child(5),
    #randomLeagueChamp td:nth-child(6),
    #randomLeagueChamp td:nth-child(7),
    #randomLeagueChamp td:nth-child(8),
    #randomLeagueChamp td:nth-child(9),
    #randomBoot th:nth-child(4),
    #randomBoot th:nth-child(5),
    #randomBoot td:nth-child(4),
    #randomBoot td:nth-child(5),
    #randomGlovePrem th:nth-child(4),
    #randomGlovePrem th:nth-child(5),
    #randomGlovePrem td:nth-child(4),
    #randomGlovePrem td:nth-child(5),
    #randomGloveChamp th:nth-child(4),
    #randomGloveChamp th:nth-child(5),
    #randomGloveChamp td:nth-child(4),
    #randomGloveChamp td:nth-child(5),
    .summary th:nth-child(3),
    .summary th:nth-child(4),
    .summary th:nth-child(5),    
    .summary td:nth-child(3),
    .summary td:nth-child(4),
    .summary td:nth-child(5) {
        display: none;
    }
}